package com.persagy.framework.dto;

import java.util.Date;

import com.persagy.core.enumeration.SpecialOperator;

public class TimeSpanCondition {
	public static SpecialOperator getOptLeft(String optStr) {
		if("$lt".equals(optStr)) {
			return SpecialOperator.$lt;
		}else if("$lte".equals(optStr)) {
			return SpecialOperator.$lte;
		}
		return null;
	}
	public static SpecialOperator getOptRight(String optStr) {
		if("$gte".equals(optStr)) {
			return SpecialOperator.$gte;
		}else if("$gt".equals(optStr)) {
			return SpecialOperator.$gt;
		}
		return null;
	}
	public Date timeLeft;
	public SpecialOperator optLeft;
	public Date timeRight;
	public SpecialOperator optRight;
}
